Expand my Community achievements bar.

Elevate your expertise and be recognized as a true influencer! Nominations for the exclusive Adobe Community Advisor program 2023 are now OPEN.
SOLVED

AEM 6.1 and Hybris 5.7 Integration Issues

Avatar

Level 4

Hi ,

We are trying to integrate AEM 6.1 and Hybris 5.7 as per the documentation provided in the link (https://docs.adobe.com/docs/en/aem/6-1/administer/ecommerce/hybris.html). (Eventhough it is mentioned in the documentation that AEM 6.1 supports till Hybris 5.4, We are trying this by changing Hybris oauth to v1 from v2)

We are using the packages cq-geometrixx-hybris-content-6.0.58.zip and cq-hybris-content-6.0.58.zip from package share.

We were able to successfully integrate the product search and product express update.

Once entering shipping address, billing address, payment information and clicks submit, it is taking us to an error page.  (Attached is the log from console).

We can see some authorization exceptions in updateGroups method of LazyUserImporter.java.

Thanks

1 Accepted Solution

Avatar

Correct answer by
Employee

Hi

The statement in the documentation is still correct. AEM 6.1 is not yet compatible with versions after hybris 5.4.
However, this should be available soon, and there will be new pacakges to install and new setup.groovy and base_store.csv files.

The documentation will reflect that change once it is ready.

2 Replies

Avatar

Level 10

I have asked the AEM Documentation team to check this topic and ensure it's accurate. I hope they confirm. 

Avatar

Correct answer by
Employee

Hi

The statement in the documentation is still correct. AEM 6.1 is not yet compatible with versions after hybris 5.4.
However, this should be available soon, and there will be new pacakges to install and new setup.groovy and base_store.csv files.

The documentation will reflect that change once it is ready.